/********************************************************************************************/
/*   LOGIC ANALYZER: ANALOG TEST                                                            */
/********************************************************************************************/
/* Author: Raul Navarro                                                                     */
/* Web:    http://www.raulnd.com                                                            */
/* E-Mail: raulnd@gmail.com                                                                 */
/********************************************************************************************/
/*                                                                                          */
/* This program is free software: you can redistribute it and/or modify                     */
/* it under the terms of the GNU General Public License as published by                     */
/* the Free Software Foundation, either version 3 of the License, or                        */
/* (at your option) any later version.                                                      */
/*                                                                                          */
/* This program is distributed in the hope that it will be useful,                          */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of                           */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                            */
/* GNU General Public License for more details.                                             */
/*                                                                                          */
/* You should have received a copy of the GNU General Public License                        */
/* along with this program.  If not, see  < http://www.gnu.org/licenses/ >.                 */
/*                                                                                          */
/********************************************************************************************/
/*                                                                                          */
/* Method setPwmFrequency from PwmFrequency.h has been extracted from Arduino Playground    */
/* URL: http://playground.arduino.cc/Code/PwmFrequency                                      */
/*                                                                                          */
/********************************************************************************************/

#include "PwmFrequency.h"

const int   T    = 255;
const int   A    = 128;
const float PI2T = 2 * PI / T;

int  pin = 6;
byte y[T];
int  i = 0;

void setup()
{
  
  setPwmFrequency(pin, 1);
  pinMode(pin, OUTPUT);
  analogWrite(pin, 0);

  // Sine wave
  for(int x=0; x<T; x++)
  {
    y[x] = (byte) (A * (sin (x * PI2T) + 1));
  }
     
}

void loop()
{
  analogWrite(pin, y[i]);
  i++;
  if(i>T) i = 0;
}

